#!/bin/bash

#############################################################################
#  Gradio un programa de Automatización de radio programado en bash  	    #
#	  Última actualización inicio4.sh: 31-Mayo-2019			    #
#############################################################################
#	     Projecto iniciado el 16 de junio de 2011	        #
#############################################################################
#############################################################################
#                                                                           #
# This program is free software; you can redistribute it and/or modify it   #
# under the terms of the GNU General Public License as published by the     #
# Free Software Foundation; either version 2 of the License or any later    #
# version.    #
#	    #
# This program is distributed in the hope that it will useful, but WITHOUT  #
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or     #
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License     #
# for more details.	    #
#	    #
############################################################################# 
# autor: Charles Escobar
# sitio: http://www.gradio.net
# fecha: 22/07/2019
# ver: 1.0 beta
# Script para iniciar G-Radio

echo "start inicio4sh"

if [[ ! -f  $HOME/.gradio/data/tmp/upvol ]]; then echo 80 > $HOME/.gradio/data/tmp/upvol; fi
if [[ ! -f  $HOME/.gradio/data/tmp/downvol ]]; then echo 20 > $HOME/.gradio/data/tmp/downvol; fi
if [[ ! -f  $HOME/.gradio/data/tmp/font ]]; then echo 0 > $HOME/.gradio/data/tmp/font; fi


volup=`cat  $HOME/.gradio/data/tmp/upvol`
voldown=`cat  $HOME/.gradio/data/tmp/downvol`
up=$voldown

modo=`cat $HOME/.gradio/data/tmp/modo`
if [[ $modo = 0 ]]; then #Modo manual
	playingcom=`ps -e |grep playmancom4.sh`
	if [ "$playingcom" = "" ]; then 
		killall -9 gradioauto.sh
		killall -9 gradioauto4.sh
		killall -9 cargalista.sh
		killall -9 cargalista.py
		killall -9 cargalista4.sh
		killall -9 /usr/bin/python3 $HOME/.gradio/bin/cargalista4.py
		sleep 0.1
		#$HOME/.gradio/bin/playmus4.sh &
		$HOME/.gradio/bin/siguiente4.sh INI4 &
	else
		echo "Reproduciendo comerciales" > $HOME/.gradio/data/tmp/currentcomercial.txt;
	fi
else #Modo automático
#	echo "de inicio4.sh modo auto: $modo"
	semiautomatico=`cat $HOME/.gradio/data/tmp/listavacia`
#	echo "de inicio4.sh modo semiautomatico: $semiautomatico"
	if [[ $semiautomatico != 1 ]]; then
		echo "0" >  $HOME/.gradio/data/tmp/stopcomercial
		a=`ps uax|grep ".gradio/bin/gradioauto4.sh"|grep -v grep`
		if [ "$a" = "" ]; then 			
					cdown=`ps -x|grep -v grep|grep .gradio/bin/countdown.sh`
					if [[ $cdown != "" ]]; then
					killall -9 countdown.sh
					fi
					
					fout=`ps -x|grep -v grep|grep .gradio/bin/fadeout.sh`
					if [[ $fout != "" ]]; then
					killall -9 fadeout.sh
					fi
					
			echo "00:00:00" > $HOME/.gradio/data/tmp/avance
			echo "0" > $HOME/.gradio/data/tmp/stop
			$HOME/.gradio/bin/gradioauto4.sh &
			
		else		
			echo "0" > $HOME/.gradio/data/tmp/repitiendo
			echo "0" > $HOME/.gradio/data/tmp/stop
			$HOME/.gradio/bin/siguiente4.sh INI4 &
		fi
	else
		#echo "transición en modo semiautomático"
		$HOME/.gradio/bin/siguiente4.sh INI4 &
	fi	
fi
